using Microsoft.AspNetCore.Mvc;
using ReAct_PME.Application;

namespace ReAct_PME.Api.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class VerifServicesController(IVerifServices service) : ControllerBase
    {
        [HttpGet("ollama_batch")]
        public async Task<ActionResult> VerifService_Ollama_Batch()
        {
            var rep = await service.VerifService_Ollama(false);
            return Ok(rep);
        }

        [HttpGet("ollama_demand")]
        public async Task<ActionResult> VerifService_Ollama_demand()
        {
            var rep = await service.VerifService_Ollama(true);
            return Ok(rep);
        }

        [HttpGet("fooocus")]
        public async Task<ActionResult> VerifService_Fooocus()
        {
            var rep = await service.VerifService_Fooocus();
            return Ok(rep);
        }

        [HttpGet("qdrant")]
        public async Task<ActionResult> VerifService_Qdrant()
        {
            var rep = await service.VerifService_Qdrant();
            return Ok(rep);
        }

        [HttpGet("whisper")]
        public async Task<ActionResult> VerifService_Whisper()
        {
            var rep = await service.VerifService_Whisper();
            return Ok(rep);
        }
    }
}
